@import url('https://fonts.googleapis.com/css2?family=Quicksand:wght@300;500;700&display=swap');

:root {
    --color-white: rgb(255, 255, 255);
    --color-purple: rgb(166, 121, 208);
    --color-black: rgb(0, 0, 0);
    --secondary-color:  rgba(255, 255, 255, 0.258);
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    text-decoration: none;
    caret-color: transparent;
    overflow-x: hidden;
}

body {
    display: flex;
    align-items: center;
    justify-content: center;
    margin-top: 3.5%;
    font-family: 'Quicksand', sans-serif;
}

::-webkit-scrollbar {
    width: 0px;
  }

.bgwp{
    position: fixed;
    z-index: -1;
    width: 100%;
    height: 100%;
    top: 0px;
    left: 0px;
    transform: scale(1.03);
    overflow-x: hidden;
    overflow-y: hidden;
    transition: 0.2s all ease;
}

.container {
    position: relative;
    margin-top: 20px;
    margin-bottom: 80px;
    background: rgba(255, 255, 255, 0.1);
    border-radius: 25px;
    text-align: center;
    width: 75%;
    padding: 20px;
    overflow: hidden;
    box-shadow: 5px 5px 20px rgba(0, 0, 0, 0.437);
    border-top: 2px solid var(--secondary-color);
    border-left: 2px solid var(--secondary-color);
    backdrop-filter: blur(10px);
}

h1 {
    font-size: 35px;
}

.headingbox {
    display:inline-block;
    transform: rotate(1deg);
    margin-bottom: 20px;
    padding-left: 1%;
    padding-right: 1%;
}

.heading {
    text-align: center;
    background: linear-gradient(to right, #ff7373 15%, #ffff7d 30%, #76ff79 45%, #70f5ff 60%, #676cff 75%, rgb(255, 110, 238) 90%, #ff7373 100%);
    background-size: 200% auto;
    color: #000;
    background-clip: text;
    text-emphasis-color: transparent;
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    animation: heading 20s linear infinite;
  }
  
  @keyframes heading {
    to {
      background-position: 200% center;
    }
  }
  

.input-container {
    display: flex;
    align-items: center;
    justify-content: center;
    margin-bottom: 20px;
    
}

#task-input {
    background: var(--secondary-color);
    width: 70%;
    padding: 15px;
    outline: none;
    border: 1px solid var(--color-white);
    border-radius: 20px 0 0 20px;
    font-size: 16px;
    color: var(--color-black);
    height: 40px;
    caret-color: var(--color-white);
}

#task-input::placeholder {
    color: var(--color-black);
}

#add-task-button {
    background-color: var(--color-white);
    border: none;
    border-radius: 0 20px 20px 0;
    color: var(--color-black);
    cursor: pointer;
    height: 40px;
    font-size: 16px;
    font-weight: 700;
    width: 80px;
    font-family: 'Quicksand', sans-serif;
    transition: background-color 0.2s ease;
}

#add-task-button:hover {
    background-color: #e7e7e7;
}

.task-text {
    position: relative;
    text-align: center;
    word-wrap: break-word;
    margin-bottom: 25px;
}

.task-list {
    list-style-type: none;
    padding: 0;
    font-family: cursive;
    display: block;
    align-items: center;
    text-align: center;
}

.task-list li {
    background-color: var(--color-white);
    background-image: radial-gradient(rgb(202, 202, 202) 7.2%, transparent 0);
    background-size: 40px 30px;
    color: var(--color-black);
    padding: 10px;
    margin-bottom: 10px;
    border-radius: 15px;
    font-size: 16px;
    font-weight: 600;
    cursor: pointer;
    box-shadow: inset 6px 6px 10px 0 rgba(0, 0, 0, 0.21), inset -5px -5px 10px 0 rgb(157, 157, 157);
}

.task-list li.completed {
    text-decoration:double line-through;
    background: gray;
    color: var(--secondary-color);
    cursor: pointer;
}

.task-list li.completed .fas{
    box-shadow: inset 5px 5px 20px rgba(0, 0, 0, 0.437);
}

.filter-container {
    display: flex;
    justify-content: center;
    margin-bottom: 20px;
    
}

.filter-item {
    padding: 5px 2%;
    border: 2px solid var(--color-white);
    transition: all 0.2s ease;
    cursor: pointer;
    outline: none;
    color: var(--color-white);
    font-size: 16px;
    font-weight: 500;
}

#filter-all{
    border-radius: 20px 0 0 20px;
}
#filter-pending{
    border-radius: 0 20px 20px 0;
}

.filter-item.active,
.filter-item:hover {
    background-color: var(--color-white);
    color: var(--color-black);
    box-shadow: inset 6px 6px 10px 0 #ffffff, inset -5px -5px 10px 0 #00000081;
}

.action-buttons {
    color: var(--color-black);
    position: relative;
    padding: 0%;
    margin-top: -20px;
    text-align: center;
    font-size: 20px;
    content: " ";
}

.fas {
    border: 2px solid black;
    padding: 5px;
    box-shadow: inset 6px 6px 10px 0 #ffffff, inset -5px -5px 10px 0 #00000081;
}

.fas:hover {
    box-shadow: inset 5px 5px 20px rgba(0, 0, 0, 0.437);
}

.edit {
    border-radius: 20px 0 0 20px;
}
.edit:hover {
    color: #20c0ff;
}
.delete:hover {
    color: red;
}
.done {
    border-radius: 0 20px 20px 0;
}
.done:hover {
    color: green;
}

footer {
    bottom: 0;
    position: fixed;
    height: 50px;
    padding-left: 10px;
    padding-right: 10px;
    border: 2px solid black;
    padding-top: 2px;
    width: 300px;
    align-items: center;
    text-align: center;
    justify-content: center;
    background-color: var(--color-white);
    box-shadow: inset 6px 6px 10px 0 #ffffff, inset -5px -5px 10px 0 #00000081;
    border-radius: 20px 20px 0 0;
}
footer a {
    color: var(--color-black);
    font-family: cursive;
    font-weight: 600;
}